Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 216621 - compiz-fusion-0.7.4 version bump
Summary: compiz-fusion-0.7.4 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 3 votes (vote)
Assignee: Desktop-Effects herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-06 21:13 UTC by Sandy
Modified: 2008-11-02 04:32 UTC (History)
16 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
x11-wm/compiz (compiz-0.7.4.ebuild,2.02 KB, text/plain)
2008-04-06 21:14 UTC, Sandy
Details
x11-wm/compiz-fusion (compiz-fusion-0.7.4.ebuild,735 bytes, text/plain)
2008-04-06 21:15 UTC, Sandy
Details
x11-wm/emerald (emerald-0.7.4.ebuild,723 bytes, text/plain)
2008-04-06 21:16 UTC, Sandy
Details
x11-plugins/compiz-fusion-plugins-extra (compiz-fusion-plugins-extra-0.7.4.ebuild,512 bytes, text/plain)
2008-04-06 21:16 UTC, Sandy
Details
x11-plugins/compiz-fusion-plugins-main (compiz-fusion-plugins-main-0.7.4.ebuild,724 bytes, text/plain)
2008-04-06 21:17 UTC, Sandy
Details
x11-plugins/compiz-fusion-plugins-unsupported (compiz-fusion-plugins-unsupported-0.7.4.ebuild,480 bytes, text/plain)
2008-04-06 21:18 UTC, Sandy
Details
x11-libs/compizconfig-backend-gconf (compizconfig-backend-gconf-0.7.4.ebuild,493 bytes, text/plain)
2008-04-06 21:18 UTC, Sandy
Details
x11-libs/compizconfig-backend-kconfig (compizconfig-backend-kconfig-0.7.4.ebuild,424 bytes, text/plain)
2008-04-06 21:19 UTC, Sandy
Details
x11-libs/libcompizconfig (libcompizconfig-0.7.4.ebuild,483 bytes, text/plain)
2008-04-06 21:19 UTC, Sandy
Details
x11-apps/ccsm (the compiz settings manager) (ccsm-0.7.4.ebuild,555 bytes, text/plain)
2008-04-06 21:21 UTC, Sandy
Details
dev-util/compiz-bcop (compiz-bcop-0.7.4.ebuild,467 bytes, text/plain)
2008-04-06 21:21 UTC, Sandy
Details
dev-python/compizconfig-python (compizconfig-python-0.7.4.ebuild,488 bytes, text/plain)
2008-04-06 21:22 UTC, Sandy
Details
The whole digested overlay. (compiz-0.7.4-overlay.tar.gz,6.29 KB, application/octet-stream)
2008-04-06 21:26 UTC, Sandy
Details
short summary of changes since Bug 210428 (Changelog,479 bytes, text/plain)
2008-04-06 22:13 UTC, Sandy
Details
changes since 0.7.2 in Bug 210428 (Changelog,586 bytes, text/plain)
2008-04-07 05:26 UTC, Sandy
Details
x11-wm/compiz (compiz-0.7.4.ebuild,2.17 KB, text/plain)
2008-04-07 19:56 UTC, Sandy
Details
x11-wm/compiz (compiz-0.7.4.ebuild,2.17 KB, text/plain)
2008-04-07 20:02 UTC, Sandy
Details
the compiz-fusion ebuild familty tar.gz'ed (compiz-overlay-0.7.4.tar.gz,6.76 KB, application/octet-stream)
2008-04-07 20:12 UTC, Sandy
Details
x11-wm/compiz-fusion (compiz-fusion-0.7.4.ebuild,885 bytes, text/plain)
2008-04-09 00:49 UTC, Sandy
Details
x11-wm/compiz (compiz-0.7.4.ebuild,2.19 KB, text/plain)
2008-04-09 00:50 UTC, Sandy
Details
x11-wm/emerald (emerald-0.7.4.ebuild,723 bytes, text/plain)
2008-04-09 00:50 UTC, Sandy
Details
x11-plugins/compiz-fusion-plugins-extra (compiz-fusion-plugins-extra-0.7.4.ebuild,512 bytes, text/plain)
2008-04-09 00:51 UTC, Sandy
Details
x11-plugins/compiz-fusion-plugins-main (compiz-fusion-plugins-main-0.7.4.ebuild,935 bytes, text/plain)
2008-04-09 00:51 UTC, Sandy
Details
x11-plugins/compiz-fusion-plugins-unsupported (compiz-fusion-plugins-unsupported-0.7.4.ebuild,475 bytes, text/plain)
2008-04-09 00:52 UTC, Sandy
Details
x11-libs/compizconfig-backend-gconf (compizconfig-backend-gconf-0.7.4.ebuild,493 bytes, text/plain)
2008-04-09 00:52 UTC, Sandy
Details
x11-libs/compizconfig-backend-kconfig (compizconfig-backend-kconfig-0.7.4.ebuild,424 bytes, text/plain)
2008-04-09 00:53 UTC, Sandy
Details
x11-libs/libcompizconfig (libcompizconfig-0.7.4.ebuild,513 bytes, text/plain)
2008-04-09 00:53 UTC, Sandy
Details
x11-apps/ccsm (the compiz settings manager) (ccsm-0.7.4.ebuild,555 bytes, text/plain)
2008-04-09 00:54 UTC, Sandy
Details
The simpler ccsm (simple-ccsm-0.7.4.ebuild,566 bytes, text/plain)
2008-04-09 00:55 UTC, Sandy
Details
dev-util/compiz-bcop (compiz-bcop-0.7.4.ebuild,491 bytes, text/plain)
2008-04-09 00:55 UTC, Sandy
Details
dev-python/compizconfig-python (compizconfig-python-0.7.4.ebuild,488 bytes, text/plain)
2008-04-09 00:56 UTC, Sandy
Details
changes since 0.7.2 in Bug 210428 (Changelog,2.02 KB, text/plain)
2008-04-09 00:56 UTC, Sandy
Details
tar'ball of all compiz-stuff (compiz-0.7.4-overlay_09April.tar.gz,8.32 KB, text/plain)
2008-04-09 00:57 UTC, Sandy
Details
x11-wm/compiz (compiz-0.7.4.ebuild,2.72 KB, text/plain)
2008-04-09 21:30 UTC, Sandy
Details
x11-wm/compiz-fusion (compiz-fusion-0.7.4.ebuild,1.03 KB, text/plain)
2008-04-09 21:31 UTC, Sandy
Details
x11-plugins/compiz-fusion-plugins-main (compiz-fusion-plugins-main-0.7.4.ebuild,747 bytes, text/plain)
2008-04-09 21:32 UTC, Sandy
Details
changes since 0.7.2 in Bug 210428 (Changelog,4.37 KB, text/plain)
2008-04-09 21:33 UTC, Sandy
Details
tar'ball of all compiz-stuff (compiz-overlay_10April2008.tar.bz2,7.99 KB, text/plain)
2008-04-09 21:38 UTC, Sandy
Details
compiz-0.7.4-damage-report-non-empty.patch (compiz-0.7.4-damage-report-non-empty.patch,2.33 KB, patch)
2008-10-30 20:43 UTC, Angelo Arrifano (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sandy 2008-04-06 21:13:01 UTC
Hi, here a new 0.7.4 version of compiz-fusion ebuilds.
This is based on the work been done in bug-id 210428. However, these ebuilds here are slightly modified, e.g. now the compiz-ebuild is only dependent on xcb when the xcb USE-flag is enabled. Other dependencies have been adjusted to a maintainer friendly ${PV} statement instead of explicit 0.7.4 statements. Then in bug-id 197284 the suggestion is made, that compiz-bcop is not a library but should go to dev-util instead. Well, it is of course totally uncritical for the functionality, but then again it is maybe indeed more appropriate.
Comment 1 Sandy 2008-04-06 21:14:47 UTC
Created attachment 148902 [details]
x11-wm/compiz
Comment 2 Sandy 2008-04-06 21:15:24 UTC
Created attachment 148904 [details]
x11-wm/compiz-fusion
Comment 3 Sandy 2008-04-06 21:16:01 UTC
Created attachment 148905 [details]
x11-wm/emerald
Comment 4 Sandy 2008-04-06 21:16:46 UTC
Created attachment 148907 [details]
x11-plugins/compiz-fusion-plugins-extra
Comment 5 Sandy 2008-04-06 21:17:33 UTC
Created attachment 148909 [details]
x11-plugins/compiz-fusion-plugins-main
Comment 6 Sandy 2008-04-06 21:18:07 UTC
Created attachment 148912 [details]
x11-plugins/compiz-fusion-plugins-unsupported
Comment 7 Sandy 2008-04-06 21:18:44 UTC
Created attachment 148914 [details]
x11-libs/compizconfig-backend-gconf
Comment 8 Sandy 2008-04-06 21:19:16 UTC
Created attachment 148916 [details]
x11-libs/compizconfig-backend-kconfig
Comment 9 Sandy 2008-04-06 21:19:57 UTC
Created attachment 148918 [details]
x11-libs/libcompizconfig
Comment 10 Sandy 2008-04-06 21:21:07 UTC
Created attachment 148919 [details]
x11-apps/ccsm  (the compiz settings manager)
Comment 11 Sandy 2008-04-06 21:21:40 UTC
Created attachment 148920 [details]
dev-util/compiz-bcop
Comment 12 Sandy 2008-04-06 21:22:18 UTC
Created attachment 148921 [details]
dev-python/compizconfig-python
Comment 13 Sandy 2008-04-06 21:26:11 UTC
Created attachment 148923 [details]
The whole digested overlay.

I read, one should not submit ebuilds in tar.gz.
However, it seems, this could still be useful for some.
Comment 14 Sandy 2008-04-06 21:35:40 UTC
I actually wonder, what is going on with compiz in gentoo?
I see 18 open bugs of which a number could be closed, because they should not be called bugs at the first place.
At least ~M or maybe some ~arch tagged ebuilds for compiz-fusion would be nice to have in the portage tree.
What about the 2008 release? Are there no plans of including compiz there? Well, ok, maybe that question is too philosophical.
Comment 15 Sandy 2008-04-06 21:45:26 UTC
Dependencies are as follows:
compiz-fusion depends on
    compiz-fusion-plugins-main
    compiz-fusion-plugins-extra
    ccsm
    compizconfig-backend-gconf  (if USE gnome)
    compizconfig-backend-kconfig (if USE kde)

emerald depends on
    compiz

compiz takes the basic dependencies in.

compiz-fusion-plugins-main depends on
    compiz
    compiz-bcop

compiz-fusion-plugins-extra depends on
    x11-plugins/compiz-fusion-plugins-main

compiz-fusion-plugins-unsupported depends on
    compiz
    compiz-bcop

ccsm depends on
    compizconfig-python

compizconfig-python depends on
    libcompizconfig
Comment 16 Sandy 2008-04-06 22:13:57 UTC
Created attachment 148929 [details]
short summary of changes since Bug 210428
Comment 17 Sandy 2008-04-07 05:26:14 UTC
Created attachment 148941 [details]
changes since 0.7.2 in Bug 210428

forgot the addition of the xcb? ( x11-libs/libxcb ) dependency in compiz as an entry in Changelog
Comment 18 ebfe 2008-04-07 18:52:04 UTC
Thanks sandy.

bugwranglers please assign this ;-)
Comment 19 Sandy 2008-04-07 19:56:09 UTC
Created attachment 149035 [details]
x11-wm/compiz

new compiz-0.7.4 ebuild with additional USE flags:

added USE flags 'fuse' and 'metacity' to compiz-0.7.4 including the
corresponding 'use_enable' statements in 'econf'.

added USE doc to compiz with correspondingly depending dodoc.
Comment 20 Sandy 2008-04-07 20:02:02 UTC
Created attachment 149037 [details]
x11-wm/compiz

Sorry, the USE flag 'doc' wasn't in the IUSE...
Comment 21 Carsten Lohrke (RETIRED) gentoo-dev 2008-04-07 20:04:40 UTC
Next time reuse the open bug request for a pending version bump, please.
Comment 22 Sandy 2008-04-07 20:12:32 UTC
Created attachment 149038 [details]
the compiz-fusion ebuild familty tar.gz'ed

Well. new ebuild ---> new overlay.
Comment 23 Sandy 2008-04-09 00:49:26 UTC
Created attachment 149141 [details]
x11-wm/compiz-fusion
Comment 24 Sandy 2008-04-09 00:50:00 UTC
Created attachment 149143 [details]
x11-wm/compiz
Comment 25 Sandy 2008-04-09 00:50:29 UTC
Created attachment 149144 [details]
x11-wm/emerald
Comment 26 Sandy 2008-04-09 00:51:04 UTC
Created attachment 149146 [details]
x11-plugins/compiz-fusion-plugins-extra
Comment 27 Sandy 2008-04-09 00:51:38 UTC
Created attachment 149148 [details]
x11-plugins/compiz-fusion-plugins-main
Comment 28 Sandy 2008-04-09 00:52:07 UTC
Created attachment 149150 [details]
x11-plugins/compiz-fusion-plugins-unsupported
Comment 29 Sandy 2008-04-09 00:52:49 UTC
Created attachment 149152 [details]
x11-libs/compizconfig-backend-gconf
Comment 30 Sandy 2008-04-09 00:53:15 UTC
Created attachment 149154 [details]
x11-libs/compizconfig-backend-kconfig
Comment 31 Sandy 2008-04-09 00:53:45 UTC
Created attachment 149156 [details]
x11-libs/libcompizconfig
Comment 32 Sandy 2008-04-09 00:54:23 UTC
Created attachment 149158 [details]
x11-apps/ccsm (the compiz settings manager)
Comment 33 Sandy 2008-04-09 00:55:15 UTC
Created attachment 149160 [details]
The simpler ccsm
Comment 34 Sandy 2008-04-09 00:55:38 UTC
Created attachment 149162 [details]
dev-util/compiz-bcop
Comment 35 Sandy 2008-04-09 00:56:06 UTC
Created attachment 149164 [details]
dev-python/compizconfig-python
Comment 36 Sandy 2008-04-09 00:56:31 UTC
Created attachment 149165 [details]
changes since 0.7.2 in Bug 210428
Comment 37 Sandy 2008-04-09 00:57:12 UTC
Created attachment 149167 [details]
tar'ball of all compiz-stuff
Comment 38 Richard Cox 2008-04-09 01:00:26 UTC
(In reply to comment #37)
> Created an attachment (id=149167) [edit]
> tar'ball of all compiz-stuff
> 
Thanks Sandy!  Great overlay, using it right now.  What's new in this one?
Comment 39 Richard Cox 2008-04-09 01:02:04 UTC
(In reply to comment #38)
> (In reply to comment #37)
> > Created an attachment (id=149167) [edit]
> > tar'ball of all compiz-stuff
> > 
> Thanks Sandy!  Great overlay, using it right now.  What's new in this one?
> 
Doh, didn't see the changelog.  Nevermind.
Comment 40 Sandy 2008-04-09 01:14:23 UTC
So, new version of the compiz family with more USE flags and rearranged
dependencies (check Changelog)...

new USE flags:
  in compiz-fusion:  emerald, plugins-extra, plugins-unsupported
  in compiz-fusion-plugins-main:   ccsm, simple-ccsm

I included an ebuild for the new simple-ccsm package. However,
there is still an issue with it. It seems to depend on ccsm.
Have no time to figure it out now. The default USE setting will not emerge
simple-ccsm for the moment anyways.

In order to try simple-ccsm it is also necessary to execute this:
gtk-update-icon-cache -f -t /usr/share/icons/hicolor
after emerging. (ok, new feature creates new bug, sorry!)
Comment 41 Sandy 2008-04-09 01:18:54 UTC
Yes, before I forget:

It should be sufficient to set USE flags
for compiz and compiz-fusion packages.

After decision is made simply run:

emerge compiz-fusion

Should do.
Comment 42 Sandy 2008-04-09 21:30:17 UTC
Created attachment 149238 [details]
x11-wm/compiz
Comment 43 Sandy 2008-04-09 21:31:20 UTC
Created attachment 149239 [details]
x11-wm/compiz-fusion
Comment 44 Sandy 2008-04-09 21:32:34 UTC
Created attachment 149240 [details]
x11-plugins/compiz-fusion-plugins-main
Comment 45 Sandy 2008-04-09 21:33:52 UTC
Created attachment 149242 [details]
changes since 0.7.2 in Bug 210428
Comment 46 Sandy 2008-04-09 21:38:18 UTC
Created attachment 149245 [details]
tar'ball of all compiz-stuff

So again some tinkering on compiz ebuilds... This time a bunch of USE flags have changed and new flags have been added (cf. Changelog)

check the use flags with
emerge -pv compiz compiz-fusion

set them up and run
emerge compiz-fusion

Cheers.
Comment 47 Sandy 2008-04-09 22:38:52 UTC
Updated dependencies and USE flag info:
---------------------------------------

The dependencies as of today are starting from the lowest level:

1. x11-wm/compiz:
    first step, pulls in all basic packages.

2. dev-util/compiz-bcop and x11-wm/emerald:
    second step depends on compiz.

3. x11-libs/libcompizconfig
    third step depends on compiz-bcop

4. fourth level consists of:
   dev-python/compizconfig-python
   x11-libs/compizconfig-backend-gconf
   x11-libs/compizconfig-backend-kconfig

5. The fifth step consists of 3 packages. All of them depend on
   compizconfig-python:
    x11-apps/ccsm
    x11-apps/simple-ccsm
    x11-plugins/compiz-fusion-plugins-main

6. Sixth level are the remaining plugins:
    x11-plugins/compiz-fusion-plugins-extra
    x11-plugins/compiz-fusion-plugins-unsupported

On top of everything is compiz-fusion, which pulls in
(on conditional USE flags):
    emerald-themes (which in turns takes emerald on board)
    compiz-fusion-plugins-{main,extra,unsupported}
    compizconfig-backend-{gconf,kconfig}
    ccsm and simple-ccsm

USE flags:

x11-wm/compiz-0.7.4  annotate dbus dbus-glib fuse glib gtk inotify
                     place schemas svg debug doc gnome
                     gnome-keybindings kde kde4 metacity xcb

x11-wm/compiz-fusion-0.7.4  ccsm emerald plugins-extra plugins-main
                            plugins-unsupported simple-ccsm gnome kde

Comment 48 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2008-04-28 17:42:45 UTC
Just want to let everyone know that compiz-0.7.4 has been added sometime ago to the desktop-effects overlay - http://git.overlays.gentoo.org/gitweb/?p=proj/desktop-effects.git;a=summary
You can also find us at #gentoo-desktop-effects
Comment 49 Frank Krömmelbein 2008-05-31 18:00:54 UTC
Compiz Fusion 0.7.6 released!

http://lists.compiz-fusion.org/pipermail/community/2008-May/000172.html

Comment 50 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2008-06-01 05:55:11 UTC
Just to let everyone know that compiz-fusion-0.7.6 has been added to the v0.7.6 branch of the desktop-effects overlay -
http://git.overlays.gentoo.org/gitweb/?p=proj/desktop-effects.git;a=summary
After some testing it will be merged to the main branch.
Comment 51 Aaron Slunt 2008-06-22 01:43:08 UTC
Why can't this go into portage? Seems as of late a lot of old versions of apps are being left in portage while many new releases of them are out in the wild... :(
Comment 52 Steve Pedersen 2008-06-27 23:40:38 UTC
Why not use Sabayon's ebuilds for the main tree whenever we fall behind? 
That would be a mutually beneficial relationship, right?
Less work, more fun. =D
Comment 53 Randall Wald 2008-06-28 00:19:05 UTC
Steve, at least for this case, there are perfectly good ebuilds in the desktop-effects overlay. The real question is why they haven't been put into the main tree.
Comment 54 Erlend Davidson 2008-07-20 13:24:30 UTC
(In reply to comment #52)
> Why not use Sabayon's ebuilds for the main tree whenever we fall behind? 
> That would be a mutually beneficial relationship, right?
> Less work, more fun. =D
> 

Because one of the advantages of Gentoo over Debian/Ubuntu has always been one repository for everything... nothing about "eww you gotta add medibuntu to play DVDs"
Comment 55 Marek Sapota 2008-07-20 15:25:12 UTC
> Because one of the advantages of Gentoo over Debian/Ubuntu has always been one
> repository for everything... nothing about "eww you gotta add medibuntu to play
> DVDs"

I've got it some other way. Get ebuilds from Sabayon, test, fix if needed, put in main tree - Sabayon gets better tested, fixed by more people ebuilds, Gentoo don't have to start from zero. No other repositories are needed.
Comment 56 Beau Henderson 2008-08-09 21:11:13 UTC
Is there any chance we could see Sandy's changes implemented into the desktop-effects compiz-fusion ? I'm sure I'm not the only one that doesn't use emerald and the less bloated the install the better no ?
Comment 57 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2008-08-10 04:02:13 UTC
(In reply to comment #56)
> Is there any chance we could see Sandy's changes implemented into the
> desktop-effects compiz-fusion ? I'm sure I'm not the only one that doesn't use
> emerald and the less bloated the install the better no ?
> 

What in specific would you like to see done in the desktop-effects ebuilds?
Also, for feature requests, poking me in #gentoo-desktop-effects works better ;)
Comment 58 Andrew Cowie 2008-09-10 03:26:52 UTC
Any further progress in getting this merged to the Portage tree?

Something like Compiz will always be a work in progress, so the temptation will no doubt be to always be tinkering with it, but the bulk of our users will not see it until it is in the distro proper, and that means in Portage.

Please,

AfC
Comment 59 Angelo Arrifano (RETIRED) gentoo-dev 2008-10-30 20:43:03 UTC
Created attachment 170348 [details, diff]
compiz-0.7.4-damage-report-non-empty.patch

Hello all,

I've been using compiz available (0.6.2-r1) on portage tree for a long time, they work nice.

Today I just updated my nvidia-drivers from 173.14.12 to 177.80. With this update I started to have bad screen redraws on gtk+ text widgets, the terminal behave very strange and it was totally impossible to work on gvim.

I found this thread that exactly describes my problem at nvidia forums:
http://www.nvnews.net/vbulletin/showthread.php?t=120829
By following the discussion it looks like the problem is on compiz, so I updated compiz to the latest version attached to this bug (0.7.4) and patched according to the previous forum discussion.

Attached here is the patch against compiz-0.7.4 (adapted from nvnews attached patch) that fixes this problem.
Comment 60 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2008-11-02 04:32:42 UTC
compiz-0.7.8 is in the tree.